Help » The usage of materials » What are the program requirements for looking through Dleex materials?

What are the program requirements for looking through Dleex materials?

To look through Dleex materials convince that all program requirements are observed:
  • Firefox 1.1 or later version, Internet Explorer 5.0 or later version, or Safari 1.0 or later version
  • Broadband link of minimum connection speed 128 KB/sec



You may also be interested in:



Dleex

© 2007–2017 Dleex.

English      German      French      Russian

For any question please write to our email e-mail